io.undertow.websockets.core.function

## Class ChannelFunctionReadableByteChannel

- java.lang.Object
- - io.undertow.websockets.core.function.ChannelFunctionReadableByteChannel

All Implemented Interfaces:
  Closeable, AutoCloseable, Channel, ReadableByteChannel

    public class ChannelFunctionReadableByteChannel
    extends Object
    implements ReadableByteChannel

Author:
  Norman Maurer

### Constructor Summary

Constructors
Constructor and Description
`ChannelFunctionReadableByteChannel(ReadableByteChannel channel, ChannelFunction... functions)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`boolean` `isOpen()`
`int` `read(ByteBuffer dst)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChannelFunctionReadableByteChannel

    public ChannelFunctionReadableByteChannel(ReadableByteChannel channel,
                                              ChannelFunction... functions)

### Method Detail

#### read

    public int read(ByteBuffer dst)
             throws IOException

Specified by:
  `read` in interface `ReadableByteChannel`
Throws:
  `IOException`

#### isOpen

    public boolean isOpen()

Specified by:
  `isOpen` in interface `Channel`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Channel`
Throws:
  `IOException`